---
layout: docs
page_title: targets add-credential-sources - Command
description: >-
  The "targets add-credential-sources" command adds credential sources to target resources.
---

# targets add-credential-sources

Command: `targets add-credential-sources`

The `targets add-credential-sources` command lets you add credential sources to target resources.

## Example

This example adds the brokered credential sources `clvlt_1234567890` and `clvlt_0987654321` to a TCP target with the ID `ttcp_1234567890`:

```shell-session
$ boundary targets add-credential-sources -id ttcp_1234567890 -brokered-credential-source clvlt_1234567890 -brokered-credential-source clvlt_0987654321
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets add-credential-sources [options] [args]
```

</CodeBlockConfig>

### Command options

- `-application-credential-source=<string>` - This option is deprecated.
Use `-brokered-credential-source` instead.
- `-brokered-credential-source=<string>` - The credential source you want to add.
Boundary returns the credential source to the user when it creates a connection.
You can specify multiple credential sources.
- `-id=<string>` - The ID of the target you want to add the credential source to.
- `-injected-application-credential-source=<string>` - The credential source you want to add.
Boundary injects the credential source when it creates a connection.
You can specify multiple credential sources.
- `-version=<int>` - The version of the target to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'